/**********************************************************************
 * This file is part of FMR (Fast Machine Reassignment)               
 *                                                                   
 * ROADEF/EURO Challenge 2012: Machine Reassignment                 
 * http://challenge.roadef.org/2012/en/				   
 * Team S26
 *     
 * Copyright (C) 2011-12 Laboratoire d'Informatique de Paris Nord 
 * UMR CNRS 7030 
 * Institut Galilée - Université Paris-Nord
 * 99, avenue Jean-Baptiste Clément 
 * 93430 Villetaneuse  
 *        
 * FMR is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *  
 * FMR is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with FMR; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************/
#ifndef fmr_psmvt
# define fmr_psmvt 1

#include "fmr.h"

void oter_proc (const placement_t const *initial, unsigned short p, unsigned short m, placement_t * placmt);
void ajouter_proc (const placement_t const *initial, unsigned short p, unsigned short m, placement_t * placmt);

int ajouter_proc_old( placement_t*, unsigned int, unsigned int, bool );
int retirer_proc( placement_t* placmt, unsigned short m, unsigned short p ) ;
int swap_procs( placement_t* placmt, unsigned short m1, unsigned short p1, unsigned short m2, unsigned short p2, bool force ) ;
int echange_procs( const placement_t const *,placement_t*, unsigned short, unsigned short, unsigned short, unsigned short );
void deplace_proc( const placement_t const *,placement_t *, unsigned short, unsigned short);
void oter_proc_glouton (const placement_t const *, unsigned short , unsigned short , placement_t * );
void ajouter_proc_glouton (const placement_t const *, unsigned short p, unsigned short m, placement_t * );
#endif
