/**********************************************************************
 * This file is part of FMR (Fast Machine Reassignment)               
 *                                                                   
 * ROADEF/EURO Challenge 2012: Machine Reassignment                 
 * http://challenge.roadef.org/2012/en/				   
 * Team S26
 *     
 * Copyright (C) 2011-12 Laboratoire d'Informatique de Paris Nord 
 * UMR CNRS 7030 
 * Institut Galilée - Université Paris-Nord
 * 99, avenue Jean-Baptiste Clément 
 * 93430 Villetaneuse  
 *        
 * FMR is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *  
 * FMR is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with FMR; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************/
#ifndef fmr_glouton
#define fmr_glouton 1

double normeL1(double avant, unsigned short int p, unsigned short int m, unsigned short int r, unsigned c) ;
double normeLinf(double avant, unsigned short int p, unsigned short int m, unsigned short int r, unsigned c) ;
bool placement_glouton(const placement_t* initial, placement_t* solution, double (norme)(double,unsigned short int,unsigned short int,unsigned short int,unsigned int));
long explo_glouton( const placement_t const * , placement_t* ) ;
bool remove_add_procs_glouton(const placement_t* initial, placement_t* solution, double (norme)(double,unsigned short int,unsigned short int,unsigned short int,unsigned int));
long explo_rap_glouton( const placement_t const * , placement_t* ) ;
long explo_GloutonReduction (const placement_t* initial, placement_t* solution, long gainMin) ;
#endif
